package messagequeue

import (
	"query-service/internal/errorhandler"

	"github.com/thijsheijden/alice"
)

// StartProducer starts a producer and returns it
func StartProducer(broker *alice.RabbitBroker) alice.Producer {
	exchange, err := alice.CreateDefaultExchange("ui-direct-exchange", alice.Direct)
	if err != nil {
		errorhandler.FailWithError(err, "failed to create exchange for producer")
	}

	producer, err := broker.CreateProducer(exchange, alice.DefaultProducerErrorHandler)
	if err != nil {
		errorhandler.FailWithError(err, "failed to created producer")
	}

	return producer
}
