package redisclient

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/go-redis/redis/v8"
)

// Conn is the redis connection
var Conn *redis.Client

// Start starts the redis client
func Start() {
	// Grab the redis host and port from environment vars
	redisAddress := os.Getenv("REDIS_ADDRESS")
	// redisPassword := os.Getenv("REDIS_PASSWORD")

	// Create redis client
	Conn = redis.NewClient(&redis.Options{
		Addr: redisAddress,
	})

	pong := Conn.Ping(context.Background())
	log.Printf(fmt.Sprintf("%v", pong))
}
